Bug 477835 - kickstart: Disks configured/modified during pre , are not present in the drive dictionary during the partition setp
kickstart: Disks configured/modified during pre , are not present in the driv...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 21:13 EST by Wade Mealing
Modified: 2010-10-23 02:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 21:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2008-12-23 21:13:57 EST
Description of problem:

If disks are added during the %pre section, the drive dictionary is not updated.
When attempting to partition this disk in the kickstart file.

Anaconda will raise an exception:
"Specified nonexistent disk sdb in partition command"

I believe this can be worked around by adding         

isys.flushDriveDict() to the Partition class (in kickstart.py) before         hds = isys.hardDriveDict()

Version-Release number of selected component (if applicable):

anaconda-11.1.2.113


How reproducible:

Every time.

Steps to Reproduce:
1. Build a kickstart file that adds a disk (iscsi on the non kickstart network ) during %pre
2. Set up the disks partitioning layout in the regular section of kickstart.
3. Boot the system with the kickstart
  
Actual results:

"Specified nonexistent disk sdb in partition command"

Expected results:

Partitioning to continue.

Additional info:

This is a strange configuration as the iscsi storage is on a different network than the kickstart storage network.
Comment 3 Denise Dumas 2009-06-30 16:38:52 EDT
Moving to RHEL 5.5 so it doesn't get mistakenly closed by the bot
Comment 5 RHEL Product and Program Management 2010-07-01 21:25:02 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.